[Bug 301172] [NEW] Please sync matplotlib 0.98.5.2-1 (universe) from Debian experimental (main)

Launchpad Bug Tracker 301172 at bugs.launchpad.net
Wed Jan 28 09:58:36 GMT 2009


You have been subscribed to a public bug by Daniel Holbach (dholbach):

Please sync matplotlib 0.98.5.2-1 (universe) from Debian experimental
(main)

 matplotlib  (0.98.5.2-1) experimental; urgency=low

   [ Benjamin Drung ]
   * debian/control
     - Added python-pkg-resources to build dependency for version detection of
       python-enthought-traits
     - merged python-tk into GUI Python packages alternative dependency list
     - add myself to uploaders
   * Move content of debian/patches/setup.cfg.patch to
     debian/setup.cfg to set the default backend to TkAgg
 
   [ Sandro Tosi ]
   * New upstream release
     - Fixed histogram autoscaling bug when bins or range are given
       explicitly; Closes: #503148
     - fix a FTBFS if built with GCC 4.4; thanks to Martin Michlmayr for the
       report and the patch; Closes: #505618
   * debian/control
     - switch Vcs-Browser field to viewsvn
     - removed python from Depends since introduced by python:Depends
     - depending on python-all-dbg for -dbg package (to install all dbg
       interpreters)
     - moved python-tk to the first position of multiple GUI bindings Depends
       line
     - moved 'dvipng' from Recommends to Suggests (to avoid texlive to be
       automatically taken in); Closes: #490992
     - bump build-depends in python-sphinx to at least 0.5.1 (upstream doc build
       system requires it)
   * debian/NEWS
     - added to notify users about default backend (TkAgg)
     - added note about 'dvipng' not installed automatically anymore
   * debian/README.debian
     - added information about changing backend
   * debian/rules
     - merging all "rm" calls into "dh_clean" call
     - removed 'API_CHANGES' installation, since removed upstream
     - doc building with '--small' option, to reduce doc size (removing hi-res
       and pdf gallery images)
   * debian/{control,rules,patches/*,README.source}
     - moved from quilt to dpatch
   * debian/patches/{matplotlibrc.template-typo.patch,
              doc_graphviz_errors_fix.patch,bts-498229_axes3d_typo.patch}
     - removed since merged upstream
   * debian/docs
     - removed since not needed (the same files were listed in debian/rules)

 -- Sandro Tosi <morph at debian.org>  Wed, 14 Jan 2009 22:09:58 +0100

 matplotlib  (0.98.3-5) unstable; urgency=medium

   [ Benjamin Drung ]
   * debian/patches/matplotlibrc.template-typo.patch
     - fix typo in matplotlibrc.template
 
   [ Sandro Tosi ]
   * debian/control
     - updated my email address
     - replaced python-wxgtk2.6 with python-wxgtk2.8
   * debian/patches/setup.cfg.patch
     - added to create "setup.cfg" file to guide building (in particular for
       "backend" configuration); Closes: #502976
   * debian/patches/bts-498229_axes3d_typo.patch
     - added to fix a typo when importing "axes3d"; thanks to Tiziano Zito for
       the report; Closes: #498229

 -- Sandro Tosi <morph at debian.org>  Fri, 31 Oct 2008 13:51:20 +0100

** Affects: matplotlib (Ubuntu)
     Importance: Wishlist
         Status: New

-- 
Please sync matplotlib 0.98.5.2-1 (universe) from Debian experimental (main)
https://bugs.edge.launchpad.net/bugs/301172
You received this bug notification because you are a member of Ubuntu Package Archive Administrators, which is a direct subscriber.



More information about the ubuntu-archive mailing list